Subject: Re: [PATCH] ppc64: increase TREEWORDS value in ppc64

From: Simon Horman <[email-masked]>
Date: Fri, 10 Sep 2010 10:43:07 +0900

[ Repost with correct kexec ML address ]
[ CCed linuxppc-dev ]

On Thu, Sep 09, 2010 at 04:27:11PM -0400, Neil Horman wrote:
> hey-
>      Got a segfault recently on ppc64 kexec with a system with 256Gb of ram.
> Tracked it back to running over the end of the device tree buffer that we have
> allocated.  I can't find any docs on how big the device tree can legally be, so
> for now I figure just upping its size is sufficient.  Confirmed that this fixed
> the segfault.

Thanks Neil, though it would be nice to know what the limit actually is.
I'll hold off on applying this for a few days to see of the PPC people
have any comments on that.

> 
> Signed-off-by: Neil Horman <[email-masked]>
> 
> 
>  fs2dt.c |    2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> 
> diff --git a/kexec/arch/ppc/fs2dt.c b/kexec/arch/ppc/fs2dt.c
> index 238a3f2..2f0f937 100644
> --- a/kexec/arch/ppc/fs2dt.c
> +++ b/kexec/arch/ppc/fs2dt.c
> @@ -33,7 +33,7 @@
>  
>  #define MAXPATH			1024	/* max path name length */
>  #define NAMESPACE		16384	/* max bytes for property names */
> -#define TREEWORDS		65536	/* max 32 bit words for properties */
> +#define TREEWORDS		131070	/* max 32 bit words for properties */
>  #define MEMRESERVE		256	/* max number of reserved memory blks */
>  #define MAX_MEMORY_RANGES	1024
>  #define COMMAND_LINE_SIZE	512	/* from kernel */